#
# spec file for package freqtweak
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           freqtweak
BuildRequires:  SDL-devel
BuildRequires:  automake
BuildRequires:  fftw3-devel
BuildRequires:  gcc-c++
BuildRequires:  jack-devel
BuildRequires:  libmspack-devel
BuildRequires:  libsigc++12-devel
BuildRequires:  libtiff-devel
BuildRequires:  libxml2-devel
BuildRequires:  unixODBC-devel
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-devel
Summary:        Real-Time Audio Spectral Visualization
Version:        0.7.2
Release:        26.2
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Visualization
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://freqtweak.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
Source1:        freqtweak.desktop
Source2:        freqtweak.png
Patch1:         freqtweak-0.6.1-gcc4.patch
Patch3:         freqtweak-0.6.1-wrong-var-ref.diff
Patch5:         freqtweak-gcc43-fixes.diff
Patch6:         freqtweak-delete-array-fix.diff
%define _use_internal_dependency_generator 0
%define __find_requires %wx_requires

%description
FreqTweak is a tool for real-time audio spectral manipulation and
display. It provides several algorithms for processing audio data in
the frequency domain and a highly interactive GUI to manipulate the
associated filters for each algorithm. It also provides high-resolution
spectral displays in the form of scrolling-raster spectrograms and
energy versus frequency plots displaying both preprocessed and
post-processed spectra.



Authors:
--------
    Jesse Chappell <jesse@essej.net>

%prep
%setup -q
%patch1 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure
make %{?jobs:-j %jobs}

%install
%makeinstall
%suse_update_desktop_file -i freqtweak AudioVideo Utility
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/*
%doc %{_mandir}/man?/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/freqtweak

%changelog
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Dec 29 2010 sbrabec@suse.cz
- Compile with wxWidgets (STL variant).
* Mon Jul 27 2009 tiwai@suse.de
- updated to version 0.7.2:
  * misc configure fixes
  * fixes for wx 2.8
  * misc C++ related fixes
* Mon Nov 10 2008 tiwai@suse.de
- fix C++ array delete (bnc#443427)
* Tue Oct 23 2007 tiwai@suse.de
- fix build with gcc 4.3
* Fri Mar  9 2007 tiwai@suse.de
- fix build with wxWindows 2.8.
* Tue Jan  9 2007 tiwai@suse.de
- fixed the access to uninitialized variables (#231135)
- added -fno-strict-aliasing to suppress compile warnings with
  Fltk.
* Fri Jan 27 2006 tiwai@suse.de
- fixed BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct  7 2005 tiwai@suse.de
- fix for JACK 0.100.0.
* Tue Apr 26 2005 ro@suse.de
- make it build
* Thu Feb 10 2005 sbrabec@suse.cz
- Require libsigc++12 in neededforbuild.
* Thu Nov 18 2004 tiwai@suse.de
- fixed desktop file.
* Tue Aug 17 2004 tiwai@suse.de
- updated to version 0.6.1.
- added wxGTK-compat to neededforbuild.
* Fri Jul 23 2004 ro@suse.de
- fix use of xml cflags in configure.ac
* Fri May 28 2004 tiwai@suse.de
- updated to version 0.6.0.
- fixed compilation with the new gcc.
- fixed for the new wxGTK with unicode.
* Sun Feb 29 2004 adrian@suse.de
- move menu entry out of the "More" sub menu
* Fri Jan 16 2004 tiwai@suse.de
- updated to version 0.5.3.
* Wed Jan 14 2004 ro@suse.de
- use gtk2
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Sep 15 2003 tiwai@suse.de
- added desktop icon.
* Fri Aug 29 2003 tiwai@suse.de
- fixed the operation on 64bit archs.
* Thu Aug 21 2003 tiwai@suse.de
- updated to version 0.5.2.
  use fftw3 now.
* Thu Aug 14 2003 tiwai@suse.de
- added desktop file.
* Fri Jul 18 2003 tiwai@suse.de
- updated to version 0.5.1.
* Mon Jul  7 2003 tiwai@suse.de
- updated to version 0.4.8.
* Thu Feb 13 2003 tiwai@suse.de
- updated to version 0.4.6.
* Wed Nov 27 2002 tiwai@suse.de
- initial version: 0.4.5.
